## libdmtx 0.5.1

=== wrappers/python/Makefile ===
install:
	python setup.py install

clean:
	rm -Rf build
	rm -f *.pyc hello.png

.PHONY: clean

## libdmtx 0.7.0

=== wrapper/java/Makefile ===
IMAGE_CLASS=org/libdmtx/DMTXImage.class
IMAGE_JAVA=org/libdmtx/DMTXImage.java

TAG_CLASS=org/libdmtx/DMTXTag.class
TAG_JAVA=org/libdmtx/DMTXTag.java

NATIVE_C=native/org_libdmtx_DMTXImage.c
NATIVE_H=native/org_libdmtx_DMTXImage.h
NATIVE_SO=native/libdmtx.so

LIBDMTX_LA=../../libdmtx_la-dmtx.o
CFLAGS=-shared -fpic
INCLUDE=-I ../.. \
	-I /usr/lib/jvm/java-1.6.0-openjdk/include \
	-I /usr/lib/jvm/java-1.6.0-openjdk/include/linux

GENERATED=$(IMAGE_CLASS) $(TAG_CLASS) $(NATIVE_H) $(NATIVE_SO)

all: $(GENERATED)

check: $(GENERATED)
	javac GUIExample.java
	javac CLIExample.java

clean:
	rm -f $(GENERATED) GUIExample.class CLIExample.class

$(LIBDMTX_LA):
	make libdmtx.la -C ../..

$(NATIVE_H):
	javah -jni -d native org.libdmtx.DMTXImage

$(NATIVE_SO): $(NATIVE_C) $(NATIVE_H) $(LIBDMTX_LA)
	gcc $(NATIVE_C) $(CFLAGS) -o $(NATIVE_SO) $(INCLUDE) $(LIBDMTX_LA)

$(IMAGE_CLASS) $(TAG_CLASS): $(IMAGE_JAVA) $(TAG_JAVA)
	javac org/libdmtx/DMTXImage.java

.PHONY: all check clean

## libdmtx 0.7.2

=== wrapper/java/Makefile ===
IMAGE_CLASS=org/libdmtx/DMTXImage.class
IMAGE_JAVA=org/libdmtx/DMTXImage.java

TAG_CLASS=org/libdmtx/DMTXTag.class
TAG_JAVA=org/libdmtx/DMTXTag.java

DMTX_JAR=dmtx.jar

NATIVE_C=native/org_libdmtx_DMTXImage.c
NATIVE_H=native/org_libdmtx_DMTXImage.h
NATIVE_SO=native/libdmtx.so

LIBDMTX_LA=../../libdmtx_la-dmtx.o
CFLAGS=-shared -fpic
INCLUDE=-I ../.. \
	-I /usr/lib/jvm/java-1.6.0-openjdk/include \
	-I /usr/lib/jvm/java-1.6.0-openjdk/include/linux

GENERATED=$(IMAGE_CLASS) $(TAG_CLASS) $(NATIVE_SO) $(DMTX_JAR)

all: $(GENERATED)

check: $(GENERATED)
	javac GUIExample.java
	javac CLIExample.java
	javac MakeTags.java

clean:
	rm -f $(GENERATED) GUIExample.class CLIExample.class

$(LIBDMTX_LA):
	make libdmtx.la -C ../..

$(NATIVE_SO): $(NATIVE_C) $(NATIVE_H) $(LIBDMTX_LA)
	gcc $(NATIVE_C) $(CFLAGS) -o $(NATIVE_SO) $(INCLUDE) $(LIBDMTX_LA)

$(IMAGE_CLASS) $(TAG_CLASS): $(IMAGE_JAVA) $(TAG_JAVA)
	javac org/libdmtx/DMTXImage.java

$(DMTX_JAR) : $(IMAGE_CLASS) $(TAG_CLASS)
	jar cf $(DMTX_JAR) $(IMAGE_CLASS) $(TAG_CLASS)

.PHONY: all check clean

=== wrapper/python/Makefile ===
all:
	python setup.py build

install:
	python setup.py install

clean:
	rm -Rf build
	rm -f *.pyc hello.png

.PHONY: all install clean

=== debian/changelog ===
libdmtx (0.7.2-2+build1) testing; urgency=low

  * Non-maintainer upload.
  * No-change rebuild to restore multi-arch co-installability. Fixes
    incompatibly compressed files and clears binNMU.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 27 Apr 2013 19:17:57 +0200

libdmtx (0.7.2-2) unstable; urgency=low

  * Updated standards.
  * Depend on libpng-dev instead of libpng12-dev. (Closes: #662396)
  * Multiarch support.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 06 Mar 2012 03:08:36 +0100

libdmtx (0.7.2-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.8.3.
  * Switch to source format 3.0 (quilt)

 -- Roberto Lumbreras <rover@debian.org>  Sun, 22 Nov 2009 20:43:00 +0100

libdmtx (0.7.0-1) unstable; urgency=low

  * New upstream version. Renamed libdmtx0 to libdmtx0a because of API
    changes, conflicting with libdmtx0 but not replacing it (old binaries
    won't work with new library).
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 08 Jul 2009 10:20:45 +0200

libdmtx (0.6.0-1) unstable; urgency=low

  * New upstream version.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 10 Dec 2008 17:52:26 +0100

libdmtx (0.5.2-1) unstable; urgency=low

  * New upstream version.

 -- Roberto Lumbreras <rover@debian.org>  Tue, 07 Oct 2008 17:29:47 +0200

libdmtx (0.5.1-2) unstable; urgency=low

  * Add libdmtx0.symbols file.
  * Set debhelper compatibility level to 7.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 20 Aug 2008 23:24:05 +0200

libdmtx (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #459625)

 -- Roberto Lumbreras <rover@debian.org>  Mon, 07 Jul 2008 11:53:45 +0200

=== debian/control ===
Source: libdmtx
Section: libs
Priority: optional
Maintainer: Roberto Lumbreras <rover@debian.org>
Build-Depends: cdbs (>=0.4.93~), debhelper (>= 8.1.3), autotools-dev, libpng-dev,
 libtiff4-dev, pkg-config, libmagickwand-dev
Standards-Version: 3.9.3
Homepage: http://www.libdmtx.org

Package: libdmtx0a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libdmtx0
Description: Data Matrix barcodes (runtime library)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package provides the Libdmtx runtime library.

Package: libdmtx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a (= ${binary:Version})
Description: Data Matrix barcodes (development files and static libraries)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package contains the static libraries and C header files needed for
 development of applications with Libdmtx.

Package: libdmtx-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a (>= ${source:Upstream-Version})
Description: Utilities for reading and writing Data Matrix 2D barcodes
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package includes the command-line utilities for reading and writing Data
 Matrix barcode symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

binary-predeb/libdmtx0a::
	cd debian/libdmtx0a/usr/share/doc/libdmtx0a && \
		rm -f AUTHORS*

binary-predeb/libdmtx-utils::
	cd debian/libdmtx-utils/usr/share/doc/libdmtx-utils && \
		rm -f AUTHORS* README* NEWS* TODO*

binary-predeb/libdmtx-dev::
	cd debian/libdmtx-dev/usr/share/doc/libdmtx-dev && \
		rm -f AUTHORS* README* NEWS* TODO*
	sed -i "/dependency_libs/ s/'.*'/''/" \
		$(shell find debian/libdmtx-dev/ -name '*.la')

binary-fixup/libdmtx-dev::
	cd debian/libdmtx-dev/usr/share/doc/libdmtx-dev/examples && \
		find . -type f -print0 | xargs -r0 chmod 644

## libdmtx 0.7.2-maemo1

=== Makefile ===
PACKAGE:=libdmtx
VERSION:=0.7.2
SOURCE=libdmtx-$(VERSION).tar.bz2
URLS=$(URL_SFNET)/libdmtx

include ../Rules.make

=== debian/changelog ===
libdmtx (0.7.2-maemo1) unstable; urgency=low
  * New upstream release
  * Optimize for N8X0 and N900 CPUs depending on Maemo version

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 18 Jun 2010 14:30:00 +0200

=== debian/control ===
Source: libdmtx
Section: libs
Priority: optional
XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
XSBC-Original-Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, libpng12-dev, libtiff4-dev, pkg-config
Standards-Version: 3.8.2
Homepage: http://www.libdmtx.org

Package: libdmtx0a
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libdmtx0
Description: Data Matrix barcodes (runtime library)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package provides the Libdmtx runtime library.

Package: libdmtx-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a (= ${binary:Version})
Description: Data Matrix barcodes (development files and static libraries)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package contains the static libraries and C header files needed for
 development of applications with Libdmtx.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -mfpu=vfp -mfloat-abi=softfp
    CXXFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif

DEB_TAR_SRCDIR=libdmtx-0.7.2
DEB_CONFIGURE_EXTRA_FLAGS := --disable-dmtxquery --disable-dmtxread --disable-dmtxwrite 

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_DESTDIR=$(CURDIR)/debian/tmp

ifeq ($(IS_FREMANTLE),y)
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
else
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
endif

# Make sure we get properly optimized
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

include /usr/share/cdbs/1/rules/tarball.mk

## libdmtx 0.7.3-git1-maemo1

=== Makefile ===
PACKAGE:=libdmtx
VERSION:=0.7.3
SOURCE=libdmtx-$(VERSION).tar.gz
# URLS=$(URL_SFNET)/libdmtx

include ../Rules.make

=== debian/changelog ===
libdmtx (0.7.3-git1-maemo1) unstable; urgency=low

  * Upstream git snapshot

 -- Kaj-Michael Lang <milang@tal.org>  Fri, 06 Apr 2011 16:00:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: libdmtx
 Section: libs
 Priority: optional
-XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
 XSBC-Original-Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
 Maintainer: Kaj-Michael Lang <milang@tal.org>
 Build-Depends: cdbs, debhelper (>= 5), autotools-dev, libpng12-dev, libtiff4-dev, pkg-config

=== debian/rules ===
--- 
+++ 
@@ -12,21 +12,25 @@
     CXXFLAGS += -mfpu=vfp -mfloat-abi=softfp
 endif
 
-DEB_TAR_SRCDIR=libdmtx-0.7.2
+DEB_TAR_SRCDIR=libdmtx-0.7.3
 DEB_CONFIGURE_EXTRA_FLAGS := --disable-dmtxquery --disable-dmtxread --disable-dmtxwrite 
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
+IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
 
 DEB_DESTDIR=$(CURDIR)/debian/tmp
 
+DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe
+
 ifeq ($(IS_FREMANTLE),y)
-DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8
-else
+DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
+endif
+
+ifeq ($(IS_DIABLO),y)
 DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
 endif
 
-# Make sure we get properly optimized
-DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
+DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe
 DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))
 
 include /usr/share/cdbs/1/rules/tarball.mk

## libdmtx 0.7.4

=== debian/changelog ===
libdmtx (0.7.4-2) unstable; urgency=low

  * Updated standards.
  * Use dh-autoreconf to update libtool.m4 for new ports. (Closes: #733021)

 -- Roberto Lumbreras <rover@debian.org>  Sun, 29 Dec 2013 17:17:36 +0100

libdmtx (0.7.4-1) unstable; urgency=low

  * New upstream version. Source split in two tarballs: libdmtx and
    dmtx-utils (new package); libdmtx-utils becomes a transitional package
    for dmtx-utils.

 -- Roberto Lumbreras <rover@debian.org>  Mon, 20 Aug 2012 17:34:19 +0200

libdmtx (0.7.2-3) unstable; urgency=low

  * Depend on libtiff-dev instead of libtiff4-dev. (Closes: #681821)
  * Do not install .la file. Install pkgconfig file.

 -- Roberto Lumbreras <rover@debian.org>  Sun, 19 Aug 2012 02:54:34 +0200

=== debian/control ===
Source: libdmtx
Section: libs
Priority: optional
Maintainer: Roberto Lumbreras <rover@debian.org>
Build-Depends: cdbs (>=0.4.93~), debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.5
Homepage: http://www.libdmtx.org

Package: libdmtx0a
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libdmtx0
Description: Data Matrix barcodes (runtime library)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package provides the Libdmtx runtime library.

Package: libdmtx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a (= ${binary:Version})
Description: Data Matrix barcodes (development files and static libraries)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package contains the static libraries and C header files needed for
 development of applications with Libdmtx.

Package: libdmtx-utils
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, dmtx-utils
Description: transitional package for dmtx-utils
 This is a transitional package for dmtx-utils, and can be safely removed
 after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

binary-predeb/libdmtx-dev::
	cd debian/libdmtx-dev/usr/share/doc/libdmtx-dev && \
		rm -f AUTHORS* README* NEWS* TODO*

binary-predeb/libdmtx-utils::
	cd debian/libdmtx-utils/usr/share/doc/libdmtx-utils && \
		rm -f AUTHORS* README* NEWS* TODO* changelog.gz

=== debian/watch ===
version=3
http://sf.net/libdmtx/libdmtx-?_?([\w+\d+\.]+|\d+)(?:\.tar|\.tgz)(?:\.gz|\.bz2|)

## libdmtx 0.7.4-maemo1

=== Makefile ===
PACKAGE:=libdmtx
VERSION:=0.7.4
SOURCE=libdmtx-$(VERSION).tar.gz
URLS=$(URL_SFNET)/libdmtx

include ../Rules.make

=== debian/changelog ===
libdmtx (0.7.4-maemo1) stable; urgency=low

  * New upstream release
  * Library license changes to permissive BSD license
  * New encoder logic

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 27 Jul 2011 14:57:00 +0300

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -mfpu=vfp -mfloat-abi=softfp
    CXXFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif

DEB_TAR_SRCDIR=libdmtx-0.7.4
DEB_CONFIGURE_EXTRA_FLAGS := --disable-dmtxquery --disable-dmtxread --disable-dmtxwrite 

IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
IS_DIABLO=$(shell if grep Diablo /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

DEB_DESTDIR=$(CURDIR)/debian/tmp

DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe

ifeq ($(IS_FREMANTLE),y)
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
endif

ifeq ($(IS_DIABLO),y)
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
endif

DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

include /usr/share/cdbs/1/rules/tarball.mk

## libdmtx 0.7.4.900-git1-maemo1

=== Makefile ===
PACKAGE:=libdmtx
VERSION:=0.7.5
SOURCE=libdmtx-$(VERSION).tar.gz
URLS=$(URL_SFNET)/libdmtx

include ../Rules.make

=== debian/changelog ===
libdmtx (0.7.4.900-git1-maemo1) stable; urgency=low

  * git checkout (a3e539a3e1c1076c7b96ad306f0883f9b363eb60)
  * encoder: Fixed Data Mosaic encoding bug

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 30 May 2012 10:58:00 +0200

=== debian/control ===
Source: libdmtx
Section: libs
Priority: optional
XSBC-Original-Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, libpng12-dev, libtiff4-dev, pkg-config
Standards-Version: 3.8.2
Homepage: http://www.libdmtx.org/

Package: libdmtx0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libdmtx0a
Provides: libdmtx0a
Description: Data Matrix barcodes (runtime library)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package provides the Libdmtx runtime library.

Package: libdmtx-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0 (= ${binary:Version})
Description: Data Matrix barcodes (development files and static libraries)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package contains the static libraries and C header files needed for
 development of applications with Libdmtx.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
     CXXFLAGS += -mfpu=vfp -mfloat-abi=softfp
 endif
 
-DEB_TAR_SRCDIR=libdmtx-0.7.4
+DEB_TAR_SRCDIR=libdmtx-0.7.5
 DEB_CONFIGURE_EXTRA_FLAGS := --disable-dmtxquery --disable-dmtxread --disable-dmtxwrite 
 
 IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)

## libdmtx 0.7.5

=== debian/changelog ===
libdmtx (0.7.5-3) unstable; urgency=high

  * Fixed copyright stanza for debian/ to GPL-2.
    Fixes RC bug: (Closes: #926646)

 -- Roberto Lumbreras <rover@debian.org>  Wed, 12 Jun 2019 08:37:38 +0200

libdmtx (0.7.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload libdmtx0b to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Apr 2019 20:26:32 +0100

libdmtx (0.7.5-2.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename shared library package to libdmtx0b, due to another ABI
    break without a corresponding SONAME update (in 0.7.5-1).
    Add Conflicts/Replaces on libdmtx0a, and add missing Replaces on
    libdmtx0 while I'm there. (Closes: #908815)
  * Release to experimental for now, to wait for NEW processing and stage
    the transition.

 -- Simon McVittie <smcv@debian.org>  Sun, 10 Mar 2019 17:13:33 +0000

libdmtx (0.7.5-2) unstable; urgency=low

  * Proper fix for simple_test compiler warnings.
  * Misc fixes for lintian warnings.
  * Fix for copyright file missing after upgrade. (Closes: #910220)

 -- Roberto Lumbreras <rover@debian.org>  Wed, 21 Nov 2018 08:29:23 +0100

libdmtx (0.7.5-1) unstable; urgency=low

  * Updated standards. Moved packaging to debhelper.
  * Changed homepage to sourceforge and upstream source to github.
  * Dropped libdmtx-utils transitional package.
  * New upstream version.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 08 Aug 2018 22:33:00 +0200

=== debian/control ===
Source: libdmtx
Section: libs
Priority: optional
Maintainer: Roberto Lumbreras <rover@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: http://libdmtx.sourceforge.net

Package: libdmtx0b
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libdmtx0, libdmtx0a
Replaces: libdmtx0, libdmtx0a
Description: Data Matrix barcodes (runtime library)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package provides the Libdmtx runtime library.

Package: libdmtx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0b (= ${binary:Version})
Description: Data Matrix barcodes (development files and static libraries)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package contains the static libraries and C header files needed for
 development of applications with Libdmtx.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
override_dh_installdocs:
	dh_installdocs --link-doc=libdmtx0b
%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libdmtx-$1\.tar\.gz/ \
  https://github.com/dmtx/libdmtx/tags .*/v?(\d\S+)\.tar\.gz

## libdmtx 0.7.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(DMTX VERSION 0.7.5 LANGUAGES C)

# DMTX library
option(DMTX_SHARED "Build DMTX as shared library" ${BUILD_SHARED_LIBS})
if(DMTX_SHARED)
  add_library(dmtx SHARED "dmtx.c")
else()
  add_library(dmtx STATIC "dmtx.c")
endif()

# Compiler specific settings
if (MSVC)
  set_target_properties(dmtx PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
else()
  set_target_properties(dmtx PROPERTIES
                                VERSION ${PROJECT_VERSION}
                                SOVERSION ${PROJECT_VERSION_MAJOR})
  target_link_libraries(dmtx PUBLIC -lm)
endif()

# Add tests if DMTX is the main project
if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    include(CTest)
    if(BUILD_TESTING)
      add_subdirectory("test")
    endif()
endif()

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

enable_testing()

add_executable(test_simple
  "simple_test/simple_test.c")
target_link_libraries(test_simple PRIVATE dmtx)
add_test(NAME test_simple COMMAND $<TARGET_FILE:test_simple>)

add_executable(test_unit
  "unit_test/unit_test.c")
target_link_libraries(test_unit PRIVATE dmtx)
add_test(NAME test_unit COMMAND $<TARGET_FILE:test_unit>)

=== test/compare_test/Makefile ===
test:
	@./compare_generated.sh
	@./compare_confirmed.sh
	@./compare_siemens.sh

clean:
	rm -f compare_generated/barcode_*_?.pnm
	rm -f compare_confirmed/barcode_*_?.pnm
	rm -f compare_siemens/siemens_*_?.pnm

.PHONY: test clean

=== debian/changelog ===
libdmtx (0.7.7-1.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:47:30 +0000

libdmtx (0.7.7-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Change the leftover reference to libdmtx0b to libdmtx0t64 in
    debian/rules. (Closes: #1066810)

 -- Amin Bandali <bandali@debian.org>  Wed, 13 Mar 2024 15:28:28 -0400

libdmtx (0.7.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062326

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:45:56 +0000

libdmtx (0.7.7-1) unstable; urgency=low

  * New upstream version.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Wed, 04 Jan 2023 16:27:16 +0100

=== debian/control ===
Source: libdmtx
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/dmtx

Package: libdmtx0t64
Provides: ${t64:Provides}
X-Time64-Compat: libdmtx0b
Breaks: libdmtx0b (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libdmtx0, libdmtx0a
Replaces: libdmtx0b, libdmtx0, libdmtx0a
Description: Data Matrix barcodes (runtime library)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package provides the Libdmtx runtime library.

Package: libdmtx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0t64 (= ${binary:Version})
Description: Data Matrix barcodes (development files and static libraries)
 Libdmtx is a library for reading and writing Data Matrix 2D barcodes,
 two-dimensional symbols that hold a dense pattern of data with built-in error
 correction.
 .
 This package contains the static libraries and C header files needed for
 development of applications with Libdmtx.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
override_dh_installdocs:
	dh_installdocs --link-doc=libdmtx0t64
%:
	dh $@

## libdmtx 0.7.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(DMTX VERSION 0.7.8 LANGUAGES C)

set(DEFAULT_SHARED_LIBS "ON")
if(DEFINED BUILD_SHARED_LIBS AND NOT BUILD_SHARED_LIBS STREQUAL "")
    set(DEFAULT_SHARED_LIBS "${BUILD_SHARED_LIBS}")
endif()
option(DMTX_SHARED "Build DMTX as shared library" "${DEFAULT_SHARED_LIBS}")
if(DMTX_SHARED)
  add_library(dmtx_shared SHARED "dmtx.c")
  if (MSVC)
    set_target_properties(dmtx_shared PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
  else()
    set_target_properties(dmtx_shared PROPERTIES
      VERSION ${PROJECT_VERSION}
      SOVERSION ${PROJECT_VERSION_MAJOR}
    )
    target_link_libraries(dmtx_shared PUBLIC m)
  endif()
  set_target_properties(dmtx_shared PROPERTIES PUBLIC_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/dmtx.h" OUTPUT_NAME "dmtx")
  install(TARGETS dmtx_shared LIBRARY ARCHIVE RUNTIME PUBLIC_HEADER)
endif()

set(DEFAULT_STATIC_LIBS "ON") # XXX: ON for now, will default to OFF someday later (maybe on 0.7.9/0.8)
if(DEFINED BUILD_STATIC_LIBS AND NOT BUILD_STATIC_LIBS STREQUAL "")
  set(DEFAULT_STATIC_LIBS "${BUILD_STATIC_LIBS}")
endif()
option(DMTX_STATIC "Build DMTX as static library" "${DEFAULT_STATIC_LIBS}")
if(DMTX_STATIC)
  add_library(dmtx_static STATIC "dmtx.c")
  if (MSVC)
    set_target_properties(dmtx_static PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)
  else()
    target_link_libraries(dmtx_static PUBLIC m)
  endif()
  set_target_properties(dmtx_static PROPERTIES PUBLIC_HEADER "${CMAKE_CURRENT_SOURCE_DIR}/dmtx.h" OUTPUT_NAME "dmtx")
  install(TARGETS dmtx_static LIBRARY ARCHIVE RUNTIME PUBLIC_HEADER)
endif()

option(DMTX_READER_PROGRAMMING "Enable reader programming feature (adds breaking changes to API)" OFF)
if(DMTX_READER_PROGRAMMING)
  add_compile_definitions(HAVE_READER_PROGRAMMING)
endif()

add_compile_definitions(VERSION="${PROJECT_VERSION}")

# Add support for tests if DMTX is the main project
if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    option(BUILD_TESTING "Build tests" OFF)
    if(BUILD_TESTING)
      add_subdirectory("test")
    endif()
    include(CTest)
endif()

# vim: ft=cmake ts=2 sw=2 sts=2 et

=== debian/changelog ===
libdmtx (0.7.8-1) unstable; urgency=low

  * New upstream version.
  * Updated standards.

 -- Roberto Lumbreras <rover@debian.org>  Sun, 16 Nov 2025 10:02:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libdmtx
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roberto Lumbreras <rover@debian.org>
+Maintainer: Roberto Lumbreras <rover@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/dmtx
 
 Package: libdmtx0t64
